unit umklogger;

interface

type tmklogger=class
public
nazwa:string;
loguj:boolean;
constructor create(nam:string);
procedure czysc;
procedure wri(co:string);
procedure wriln(co:string);
end;

implementation

constructor tmklogger.create(nam:string);
begin
nazwa:=nam;
loguj:=true;
end;

procedure tmklogger.czysc;
var f:text;
begin
assignfile(f,nazwa);
rewrite(f);
closefile(f);
end;

procedure tmklogger.wri(co:string);
var f:text;
begin
if loguj then begin
assignfile(f,nazwa);
append(f);
write(f,co);
closefile(f);
end;
end;

procedure tmklogger.wriln(co:string);
var f:text;
begin
if loguj then begin
assignfile(f,nazwa);
append(F);
writeln(f,co);
closefile(f);
end;
end;


end.


 